cURL
curl --request POST \ --url https://api.poly.ai/v1/webhook-endpoints \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "Production alerts", "url": "https://example.com/webhooks/polyai", "event_types": [ "alerts.triggered" ], "headers": { "X-Custom-Header": "my-value" }, "timeout_ms": 5000, "enabled": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "url": "<string>", "enabled": true, "event_types": [ "alerts.triggered" ], "timeout_ms": 5000, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "signing_secret": "<string>", "headers": {} }
1 - 255
^https://
1
alerts.triggered
Show child attributes
1000 <= x <= 30000
Webhook endpoint created successfully.
Returned only once during endpoint creation. Store it securely.
Was this page helpful?